#include <avr/io.h>            //  / AVR
#include <util/delay.h>        //    

int main(void)
{
	DDRB |= 1<<PB1;             //    1  B

	TCCR1A |= 1<<(COM1A1) | 1<<(WGM10); //  TCCR1A   COM1A1  WGM10  1
	TCCR1B |= 1<<(CS10) | 1<<(WGM12);   //  TCCR1B   CS10  WGM12  1

	int pwm = 0;                //    
	int up = 1;                 //       

    while(1)
    {

		OCR1A = pwm;            //    

		pwm += up ? 1 : -1;     //    uo      pwm
		if (pwm == 255)         // pwm   255    uo  0
			up = 0;
		else if (pwm == 0)      // pwm   0    uo  1
			up = 1;

		_delay_ms(10);          //  10
	}

    return 0;
}
